Bug 192491

Summary: devel/allegro - DOCS broken again
Product: Ports & Packages Reporter: Volodymyr Kostyrko <arcade>
Component: Individual Port(s)Assignee: Thomas Zander <riggs>
Status: Closed FIXED    
Severity: Affects Only Me CC: koalative, riggs
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
allegro.diff none

Description Volodymyr Kostyrko 2014-08-07 20:57:36 UTC
Created attachment 145487 [details]
allegro.diff

And again:

-- Installing: /tmp/ports/usr/ports/devel/allegro/work/stage/usr/local/bin/grabber
-- Removed runtime path from "/tmp/ports/usr/ports/devel/allegro/work/stage/usr/local/bin/grabber"
gmake[2]: Leaving "/tmp/ports/usr/ports/devel/allegro/work/allegro-4.4.2"
install: /tmp/ports/usr/ports/devel/allegro/work/allegro-4.4.2/docs/man/*.3: No such file or directory
*** Error code 71

Stop.
make[1]: stopped in /usr/ports/devel/allegro
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/allegro

This is again exactly the same thing I reported in bug 183629 and bug 187511.

Let's try another way of fixing it. We can still leave DOCS as an option but we will unconditionally build docs (because as per port CMakeList.txt man directory is a part of docs). This way man's would be always produced and port wouldn't fail and docs would be installed only when option is set.

https://redports.org/buildarchive/20140807175000-17364/
Comment 1 John Marino freebsd_committer 2014-08-07 22:02:57 UTC
I can't notify the maintainer koalative@gmail.com due to some sort of bug in bugzilla.  trying again
Comment 2 John Marino freebsd_committer 2014-08-07 22:04:42 UTC
moving this back to triage, I'll mail the person directly and ask him to claim the ticket (or use another email address)?
Comment 3 John Marino freebsd_committer 2014-08-08 09:34:18 UTC
Hmm, I was finally able to add koalative@gmail.com (maintainer) to CC, that was weird, not sure why it works now.
Comment 4 John Marino freebsd_committer 2014-10-05 22:32:54 UTC
No response from maintainer, so his approval is no longer required.  Move to patch-ready pool.  Patch looks okay to me.
Comment 5 commit-hook freebsd_committer 2014-10-06 18:03:21 UTC
A commit references this bug:

Author: riggs
Date: Mon Oct  6 18:03:12 UTC 2014
New revision: 370198
URL: https://svnweb.freebsd.org/changeset/ports/370198

Log:
  - Fix build when DOCS option is deselected

  While on it:
  - Remove @dirrm entries from pkg-plist

  PR:		192491
  Submitted by:	arcade@b1t.name
  Approved by:	maintainer timeout
  MFH:		2014Q4

Changes:
  head/devel/allegro/Makefile
  head/devel/allegro/pkg-plist
Comment 6 commit-hook freebsd_committer 2014-10-06 19:29:34 UTC
A commit references this bug:

Author: riggs
Date: Mon Oct  6 19:29:16 UTC 2014
New revision: 370215
URL: https://svnweb.freebsd.org/changeset/ports/370215

Log:
  MFH: r370198

  - Fix build when DOCS option is deselected

  While on it:
  - Remove @dirrm entries from pkg-plist

  PR:		192491
  Submitted by:	arcade@b1t.name
  Approved by:	portmgr (erwin), maintainer timeout

Changes:
_U  branches/2014Q4/
  branches/2014Q4/devel/allegro/Makefile
  branches/2014Q4/devel/allegro/pkg-plist